//
// Created by jholder on 21.10.21.
//

#include "Simulation.h"

double Simulation::getNorm(double t_norm) {
    //return 0.0;
    return t_norm * m_norm(m_generator);
}

Simulation::Simulation(double t_delta_T, size_t seed)
    : m_delta_T(t_delta_T),
      m_std(std::sqrt(t_delta_T * 2.0)),
      m_generator(seed),
      m_norm(0, 1.0) {}

double Simulation::getMDeltaT() const { return m_delta_T; }

double Simulation::getSTD() const { return m_std; }
